package utils

type GroupedError []error

func (gerr GroupedError) Error() string {
	var s string

	for i, err := range gerr {
		if i != 0 {
			s += ","
		}

		s += err.Error()
	}

	return s
}

func (gerr GroupedError) Unwrap() []error {
	return gerr
}

func (gerr GroupedError) IsEmpty() bool {
	return len(gerr) == 0
}
